Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.elang.xpath10.runtime
Class WrappedFaultException.JaxenFunctionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jaxen.saxpath.SAXPathException
                  org.jaxen.JaxenException
                      org.jaxen.FunctionCallException
                          org.apache.ode.bpel.elang.xpath10.runtime.WrappedFaultException.JaxenFunctionException

All Implemented Interfaces:
  java.io.Serializable, WrappedFaultException

Enclosing interface:
  WrappedFaultException

    public static class WrappedFaultException.JaxenFunctionException

extends org.jaxen.FunctionCallException
implements WrappedFaultException

Jaxenized `FaultException`; Jaxen requires us to throw only exceptions extending its `FunctionCallException` so we comply.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.ode.bpel.elang.xpath10.runtime.WrappedFaultException
`WrappedFaultException.JaxenFunctionException, WrappedFaultException.JaxenUnresolvableException`

Constructor Summary
`WrappedFaultException.JaxenFunctionException(FaultException e)`

Method Summary
`FaultException` | `getFaultException()`

Methods inherited from class org.jaxen.FunctionCallException
`getNestedException`

Methods inherited from class org.jaxen.saxpath.SAXPathException
`getCause, initCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrappedFaultException.JaxenFunctionException

    public WrappedFaultException.JaxenFunctionException(FaultException e)

Method Detail

### getFaultException

    public FaultException getFaultException()

  Specified by:
    `getFaultException` in interface `WrappedFaultException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD